<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<?php get_header();?>
	<div class="center">
		<h2><?php _e('Not Found (error 404)', theme_ext_domain())?></h2>
		<p class="sober">
		<?php _e("Sorry Dude! We can't find that!", theme_ext_domain())?><br/>
		<?php _e('Perhaps a try in the search box will help ?', theme_ext_domain())?>
		</p>
		<div>
		   <form id="error-searchform" method="get" action="<?php bloginfo('home'); ?>">
			<input type="text" name="s" id="error-s" size="15" />
			<input type="submit" value="<?php esc_attr_e('Search'); ?>" />
			</form>
		</div>
	</div>

<?php get_footer();?>