<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<?php if (file_exists('../../../../wp-load.php')) require_once '../../../../wp-load.php'; 
$theme_name = "alter_serendipity";
?>
<script type="text/javascript">
//<![CDATA[
	$$('head')[0].insert(
			new Element(
					'link', 
					{type: 'text/javascript', 
						href: '<?php bloginfo('wpurl'); ?>/wp-content/themes/<?php echo $theme_name;?>/color_picker/cp_style.css', 
						rel: 'stylesheet', 
						type: 'text/css', 
						media: 'screen'
							}
					));
	$$('head')[0].insert(new Element('script', {type: 'text/javascript', src: '<?php bloginfo('wpurl'); ?>/wp-content/themes/<?php echo $theme_name;?>/color_picker/color-picker.js'}));

	if ('function' == typeof window.Draggable) {
	new Draggable('draggable_box', {handle: 'draggable_box_title'});
	}
setSiteColor = function(color,text) {
	elementsToChange = $$('.links_box li', '.rs1', '.rs2');
	elementsToChange.push($$('html')[0]);
	elementsToChange.push(document.body);
	$A(elementsToChange).each(function(item){item.style.backgroundColor = color;});
}
okClick = function(){
	var clr = $('cp_hexBox').value;
	document.cookie = 'WP_theme_color_preference='+clr;
	$('ChooseColorBox').remove();
<?php if(get_bloginfo('wpurl').'/wp-content/themes/'.$theme_name == get_bloginfo('stylesheet_directory')) {?>
	var loc = "<?php bloginfo('wpurl'); ?>/wp-admin/themes.php?page=functions.php&RY_backgroundColor="+clr;
	window.location = loc;
<?php } ?>
}

cancelClick = function(){
	setSiteColor("#021728");
	$('ChooseColorBox').remove();
}
//]]>
</script>

<div id="draggable_box">
<div class='draggable_box_title'>True Color Picker</div>


<div class="cp_frame">
	<div id="cp_gradientBox">
		<img id="cp_gradientImg" src="<?php bloginfo('wpurl'); ?>/wp-content/themes/<?php echo $theme_name;?>/color_picker/color_picker_gradient.png" alt="" />
		<img id="cp_circle" src="<?php bloginfo('wpurl'); ?>/wp-content/themes/<?php echo $theme_name;?>/color_picker/color_picker_circle.gif" alt="" />
	</div>
	<div id="cp_hueBarDiv">
		<img id="cp_huebar" src="<?php bloginfo('wpurl'); ?>/wp-content/themes/<?php echo $theme_name;?>/color_picker/color_picker_bar.png" alt="" />
		<img id="cp_hueArrows" src="<?php bloginfo('wpurl'); ?>/wp-content/themes/<?php echo $theme_name;?>/color_picker/color_picker_arrows.gif" alt="" />
	</div>
	<div id="cp_result_bar">
		<div id="cp_result_boxes">
			<div id="cp_quickColor"></div>
			<div id="cp_staticColor"></div>
		</div>
		<div id="cp_results">
		<label for="cp_hexBox">Hex: </label>
		<input size="8" type="text" id="cp_hexBox" onchange="hexBoxChanged();" />
		<br />
		<label for="cp_hexBox">Red: </label>
		<input size="8" type="text" id="cp_redBox" onchange="redBoxChanged();" />
		<br />
		<label for="cp_hexBox">Green: </label>
		<input size="8" type="text" id="cp_greenBox" onchange="greenBoxChanged();" />
		<br />
		<label for="cp_hexBox">Blue: </label>
		<input size="8" type="text" id="cp_blueBox" onchange="blueBoxChanged();" />
		<br />
		<label for="cp_hexBox">Hue: </label>
		<input size="8" type="text" id="cp_hueBox" onchange="hueBoxChanged();" />
		<br />
		<label for="cp_hexBox">Saturation: </label>
		<input size="8" type="text" id="cp_saturationBox" onchange="saturationBoxChanged();" />
		<br />
		<label for="cp_hexBox">Value: </label>
		<input size="8" type="text" id="cp_valueBox" onchange="valueBoxChanged();" />
		<br />
		<input type="button" id="cp_OK" onclick="okClick();" value="OK" />
		<input type="reset" id="cp_Reset" onclick="cancelClick();" value="Annuler" />
		</div>
	</div>
</div>

</div>

