<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<?php
echo '<?xml version="1.0" encoding="utf-8" ?>'."\n";
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">'."\n";?>
<html xmlns="http://www.w3.org/1999/xhtml" <?php 	('xhtml'); ?>>
<head profile="http://gmpg.org/xfn/11">

<title><?php wp_title('&laquo; ', true, 'right') . bloginfo('name'); ?></title>

<!-- *CSS* -->
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="all" />
<link rel='stylesheet' href='<?php bloginfo('stylesheet_directory'); ?>/css/print.css' type='text/css' media="print" />

<!-- *JS* -->
<script src="http://ajax.googleapis.com/ajax/libs/prototype/1.6/prototype.js" type="text/javascript"></script>
<script src="http://ajax.googleapis.com/ajax/libs/scriptaculous/1.8.1/effects.js" type="text/javascript"></script>
<script src="<?php bloginfo('stylesheet_directory'); ?>/js/wp_theme_ext.js" type="text/javascript"></script>
<script src="<?php bloginfo('stylesheet_directory'); ?>/js/niftycube.js" type="text/javascript"></script>

<!-- *META* -->
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta http-equiv='content-style-type' content='text/css' />
<meta name='description' content='<?php bloginfo('description'); ?>' />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel='icon' href='<?php bloginfo('stylesheet_directory'); ?>/img/favicons/<?php echo theme_ext_check_option('theme_opt_image_favicon')?>' type='image/x-icon' />
<link rel='shortcut icon' href='<?php bloginfo('stylesheet_directory'); ?>/img/favicons/<?php echo theme_ext_check_option('theme_opt_image_favicon')?>' type='image/xicon' />

<link rel="alternate" type="application/rss+xml" title="<?php __(printf('RSS feed for %s', get_bloginfo('name'))) ?>" href="<?php echo get_feed_link()?>" />
<link rel="alternate" type="application/rss+xml" title="<?php __(printf('Follow all the comments with the RSS feed for %s', get_bloginfo('name'))) ?>" href="<?php bloginfo('comments_rss2_url')?>" />

<?php if ( is_singular() ) { wp_enqueue_script( 'comment-reply' ); } ?>

<?php wp_head(); ?>
</head>

<body onload="launchSearchObserver();" <?php body_class(); ?>>
<div id="container">

<!--***Main content***-->
	<div id="content">
	<div id="header">
		<div id="headerimg">
			<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
			<div class="description"><?php bloginfo('description'); ?></div>
		</div>
	</div>
	<div id="content_wrapper">
    	<?php get_sidebar();?>
		<div class='main_section_content'>
