<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<?php 
get_header(); 

if ( is_paged() ) {
	if (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
	<p><?php printf( __('You are currently browsing the %s blog archives.', theme_ext_domain()), '<a href="' . get_bloginfo('url') . '/">' . get_bloginfo('name') . '</a>' ) ?></p>
	<?php } ?>
<?php }

if (have_posts()) :
	while (have_posts()) : the_post();
			
		require 'postTemplate.php'; 
		echo '<br class="page_break"/>';
		
	endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries', theme_ext_domain())) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;', theme_ext_domain())) ?></div>
		</div>
		
<?php else : ?>
		
		<h2><?php _e('Nothing found', theme_ext_domain()) ?></h2>
		<p class="center"><?php _e("Sorry, but you are looking for something that isn't here.", theme_ext_domain()) ?></p>
		<p><a href="javascript:history.back(-1)"><strong><?php _e('&laquo; Go back', theme_ext_domain()) ?></strong></a></p>
    
<?php endif; ?>

<?php 
get_footer();
?>
