/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
/*---- Auto-fill search box ----*/
function launchSearchObserver(){
	$('content').observe('click', respondToClick, true); 
}
function respondToClick(event) {
    var txt = '';
    txt = Try.these(
    	function() {return window.getSelection();},
    	function() {return document.getSelection();},
    	function() {return document.selection.createRange().text;}
    	);
	$('s').value = txt;
}
function detect_recherche(id){
	search = $('s');
	if (id.name =='google'){
		window.open('http://www.google.fr/search?q='+search.value,'_blank');
	}
	if (id.name =='wiki'){
		window.open('http://en.wikipedia.org/wiki/Special:Search?search='+search.value,'_blank');
	}
	return false;
}


/*---- Toggle left section ----*/
function toggleLeft(){
	Element.toggle('left_section');
	if(Element.visible('left_section') == false){
		hideLeft();
	}else{
		showLeft();
	}
}
function hideLeft() {
	Element.addClassName('content','trigger_left');
	Element.addClassName('top_bar','trigger_left');
	Element.addClassName('footer','trigger_left');
	Element.addClassName('left_section_trigger','left_section_trigger_show');
}
function showLeft() {
	Element.removeClassName('content','trigger_left');
	Element.removeClassName('top_bar','trigger_left');
	Element.removeClassName('footer','trigger_left');
	Element.removeClassName('left_section_trigger','left_section_trigger_show');
}

function triggerAutomaticHideLeft() {
	var delay = delayedSlideLeft() * 1000;
	Event.observe(window, "load", function() {
		window.setTimeout(  function(){ 
								if(Element.visible("left_section") == true){ 
									slideLeftSection(); 
								} 
							}, 
							delay
						  );
	} );
}
function slideLeftSection(){
	new Effect.SlideUp("left_section", {scaleX:true, scaleY: false, 
                                        afterFinishInternal: function(event){
                                            toggleLeft(); 
                                            new Effect.Highlight($("left_section_trigger"),
                                                                     {keepBackgroundImage: true,
                                                                      startcolor: "#994444", 
                                                                      endcolor: "#ffff99",
                                                                      duration: 2
																	 }
                                                                ); }
                                      });
}

/*---- Not working code for the colorbox ----*/
function launch_colorBox(name){
	if($(name) == null){
		$$('body')[0].insert(new Element('div', {id:name, className:name}))

		var color_actuel = find_bodyBack();

		new Ajax.Updater(name, "index.php?page="+name+"&preload="+color_actuel,  {evalScripts:true, postBody:"type=noscript" })
	}
}
function find_bodyBack(){
	return Try.these(
		function(){return document.defaultView.getComputedStyle(document.body, "").getPropertyValue("background-color");	},
		function(){return document.body.style.backgroundColor;	},
		function(){return document.body.bgColor;	},
		function(){return document.body.background;	}
	);
}
