<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<div id="search_box">
	<form id='multi_search' method='get' action='<?php echo get_option('home') ?>'>
		<div id='search_option'>
			<input class='tbox search middle' type='text' id='s' name='s' size='12' 
				value='<?php echo esc_attr(apply_filters('the_search_query', get_search_query())) ?>' alt='search box' maxlength='50' />
			<input id="searchLink" type="image" src="<?php bloginfo('stylesheet_directory'); ?>/img/searchTool.png"/>
			<input type='image' name='google' src='http://www.google.fr/favicon.ico'  
				value='Google' title='<?php printf(esc_attr__('Search... %s', theme_ext_domain()), 'Google')?>' class="search_icon" onclick='return(detect_recherche(this))'	/>
			<input type='image' name='wiki' src='http://en.wikipedia.org/favicon.ico' 
				value='Wikipedia' title='<?php printf(esc_attr__('Search... %s', theme_ext_domain()), 'Wikipedia')?>' class="search_icon" onclick='return(detect_recherche(this))'  />
		</div>
	</form>
</div>