<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<!-- Main content sidebar -->
	<div id="sidebar_right_bottom">	
	<?php 	/* Widgetized sidebar, if you have the plugin installed. */
		if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("theme_sidebar_right_bottom") ) : ?>

			<!-- Author information is disabled per default. Uncomment and fill in your details if you want to use it.
			<li><h2>Author</h2>
			<p>A little something about you, the author. Nothing lengthy, just an overview.</p>
			</li>
			-->

		
			<?php /* If this is the frontpage */ if ( is_home() || is_page() ) { ?>
		<div class="right_bottom_section">
			<h2 class="right_bottom_title"><?php _e('Meta', theme_ext_domain())?></h2>
			<ul>
				<?php wp_register(); ?>
				<li><?php wp_loginout(); ?></li>
				<li><a href="http://validator.w3.org/check/referer" title="<?php esc_attr_e('This page validates as XHTML 1.0 Transitional', theme_ext_domain())?>">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
				<li><a href="http://gmpg.org/xfn/"><abbr title="<?php esc_attr_e('XHTML Friends Network', theme_ext_domain())?>">XFN</abbr></a></li>
				<li><a href="http://wordpress.org/" title="<?php esc_attr_e('Powered by WordPress, state-of-the-art semantic personal publishing platform.', theme_ext_domain())?>">WordPress</a></li>
				<?php wp_meta(); ?>
			</ul>
		</div>
			<?php } ?>
		<div class="right_bottom_section">
			<h2 class="right_bottom_title"><?php _e('Categories', theme_ext_domain())?></h2>
			<ul><?php wp_list_categories('title_li='); ?></ul>
		</div>

		<div class="right_bottom_section">
			<h2 class="right_bottom_title"><?php _e('Archives', theme_ext_domain())?></h2>
			<select name="archive-dropdown" onchange='document.location.href=this.options[this.selectedIndex].value;'>
				<option value=""><?php _e('Select Month', theme_ext_domain())?></option>
				<?php wp_get_archives('format=option'); ?>
			</select>
			
		</div>

			
	<?php endif; ?>
<?php 
if(theme_ext_check_option('theme_opt_adRotate_group1') != '0'): ?>
			<div class="ads_banner">
				<?php if(function_exists('adrotate_banner')) {echo adrotate_banner(theme_ext_check_option('theme_opt_adRotate_group1'));} ?>
			</div>
<?php endif; 
//XXX: To keep.. or not ... ? Why not help  your fellow designer by keeping wth ! 
if(theme_ext_check_option('theme_opt_keepDesignerPromoCode') != '0'): ?>
		<div class="ads_skycrapper">
			<a href="http://www.dreamhost.com/r.cgi?374139" title="<?php esc_attr_e('Use DAVIDCOLL_PROMO code to get 52$ discount, lifetime adress + lifetime unique IP on your web hosting !', theme_ext_domain())?>">
				<img alt="dreamhost promo code" src="<?php bloginfo('stylesheet_directory'); ?>/img/dreamhost_green5.png"/>
			</a>
		</div>
<?php endif; ?>
	</div>
