<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<?php get_header(); ?>
	<?php if (have_posts()) : ?>

		 <h1 class="pagetitle">
		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. 
		if (is_category()) {
			printf(__('Archives for %s', theme_ext_domain()), '<strong>' . single_cat_title('', false) . '</strong>');
		} elseif (is_tag()) {
			printf(__('Archives for %s', theme_ext_domain()), '<strong>' . single_tag_title('', false) . '</strong>');
		} elseif (is_day()) {
			printf(__('Archives for %s', theme_ext_domain()), '<strong>' . get_the_time('F jS, Y') . '</strong>');
		} elseif (is_month()) { 
			printf(__('Archives for %s', theme_ext_domain()), '<strong>' . get_the_time('F, Y') . '</strong>');
		} elseif (is_year()) { 
			printf(__('Archives for %s', theme_ext_domain()), '<strong>' . get_the_time('Y') . '</strong>') ;
		} elseif (is_author()) { 
			_e('Author Archives', theme_ext_domain());
		} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { 
			_e('Blog Archives', theme_ext_domain());
		} ?>
		</h1>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries', theme_ext_domain())) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;', theme_ext_domain())) ?></div>
		</div>

		<?php
		while (have_posts()) : the_post();
	
			require 'postTemplate.php'; 
	
		endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries', theme_ext_domain())) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;', theme_ext_domain())) ?></div>
		</div>
	
	<?php else : ?>

		<h2><?php _e('Nothing found', theme_ext_domain()) ?></h2>
		<p class="center"><?php _e("Sorry, but you are looking for something that isn't here.", theme_ext_domain()) ?></p>
		<p><a href="javascript:history.back(-1)"><strong><?php _e('&laquo; Go back', theme_ext_domain()) ?></strong></a></p>

	<?php endif; ?>
<?php get_footer(); ?>
