<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<?php
// Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'postTemplate.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die (__('Please do not load this page directly. Thanks!'));
?>
	<div class="post clear<?php if (is_single()) echo " single"?>" id="post-<?php the_ID(); ?>">
			<div class="entry-date">
				<div class="entry-day"><?php the_time('d'); ?></div>
				<div class="entry-month"><?php the_time('M'); ?></div>
				<div class="entry-year"><?php the_time('Y'); ?></div>
			</div>
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(esc_attr__('Permanent Link to ==> %s', theme_ext_domain()), get_the_title());?>"><?php the_title(); ?></a></h2>			
			<div class="info-post">
				<span class="comments_link"><?php comments_popup_link(__('No comments', theme_ext_domain()), __('(1) Comment', theme_ext_domain()), __('(%) Comments', theme_ext_domain())); ?></span>
				<span class="entry-author"><?php printf(__('By %s', theme_ext_domain()), $theme_class->theme_fn_get_author_posts_link())?></span>
			</div>
			<div class="entry-content">

<?php /*---Set level of details of the posts----*/
if (!is_home() && !is_single()){
	if($theme_class->theme_fn_get_post_first_image()){ ?>
		<div class="excerpt-image"><a href="<?php the_permalink() ?>"><img src="<?php echo $theme_class->first_post_img?>" alt="<?php the_title(); ?>" /></a></div><?php 
	}
	the_excerpt('');
}else{
	the_content('<p class="serif">' . __('Read the rest of this entry &raquo;', theme_ext_domain()) . '</p>');
}
?>
			</div>
<?php if (!is_home() && !is_single()){?>
			<p><a href="<?php the_permalink() ?>" class="more-link"><?php _e('Continue reading &raquo;', theme_ext_domain())?></a></p>
<?php } ?>
			
	      <?php wp_link_pages('before='.__('Read more', theme_ext_domain()).' : &pagelink='.__('Page %', theme_ext_domain()));?>

			<div class="entry-filed">
<?php 
if (is_single()){
	$post = $post;
				if (('open' == $post->comment_status) && ('open' == $post->ping_status)) {// Both Comments and Pings are open 
					echo sprintf( __('You can %1$sleave a response%2$s, or %3$strackback%2$s from your own site.', theme_ext_domain()),
					 	'<a href="#respond">', '</a>', '<a href="' . get_trackback_url() . '" rel="trackback">' ) . '<br/>';
				} elseif (!('open' == $post->comment_status) && ('open' == $post->ping_status)) {// Only Pings are Open 
					echo sprintf(__('Responses are currently closed, but you can %1$strackback%2$s from your own site.', theme_ext_domain()),
							 '<a href="' . get_trackback_url() . '" rel="trackback">', '</a>') . '<br/>';
				} elseif (('open' == $post->comment_status) && !('open' == $post->ping_status)) {// Comments are open, Pings are not
					echo __('You can skip to the end and leave a response. Pinging is currently not allowed.', theme_ext_domain()) . '<br/>';
				} elseif (!('open' == $post->comment_status) && !('open' == $post->ping_status)) {// Neither Comments, nor Pings are open
					echo __('Both comments and pings are currently closed.', theme_ext_domain()) . '<br/>';			
				}
				echo sprintf(__('Follow the answers for this post with the %s feed.', theme_ext_domain()), '<a href="'.get_post_comments_feed_link().'">RSS</a>') . '<br/>';
} ?>

				<span class="entry-command">
					<?php edit_post_link(); ?><br/>
					<?php _e('Last modified', theme_ext_domain())?> <span><?php the_modified_date() ?></span>.
				</span>
				<?php _e('Filed under:', theme_ext_domain())?> <span><?php the_category(', ') ?></span><br/>
				<span><?php the_tags(); ?></span><br/>
			</div>
	  	</div>