<?php
/**
 * @package WordPress
 * @subpackage Alter_Serendipity_Theme
 * @author David Coll - http://funkybudha.net
 * @copyright GNU GENERAL PUBLIC LICENSE - GPLv3
 */
?>
<?php get_header(); ?>
    <h1 class="pagetitle"><?php _e('Search Results for: ', theme_ext_domain())?><q><?php the_search_query() ?></q></h1>
    <?php if (have_posts()) : ?>


    <div class="navigation">
      <div class="alignleft"><?php next_posts_link('&laquo; '.__('Previous Entries', theme_ext_domain())) ?></div>
      <div class="alignright"><?php previous_posts_link(__('Next Entries', theme_ext_domain()).' &raquo;') ?></div>
    </div>

    <?php
    while (have_posts()) : the_post();
			
		require 'postTemplate.php'; 
	
    endwhile; ?>

    <div class="navigation">
      <div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries', theme_ext_domain())) ?></div>
      <div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;', theme_ext_domain())) ?></div>
    </div>

    <?php else : ?>
	<div class="center">
		<h2><?php _e('Not Found')?></h2>
		<p class="sober">
		<?php _e("Sorry Dude! We can't find that!", theme_ext_domain())?><br/>
		<?php _e('Perhaps if you try again with some different keywords ?', theme_ext_domain())?>
		</p>
		<div>
		   <form id="error-searchform" method="get" action="<?php bloginfo('home'); ?>">
			<input type="text" name="s" id="error-s" size="15" />
			<input type="submit" value="<?php esc_attr_e('Search', theme_ext_domain()); ?>" />
			</form>
		</div>
		<p class="sober"><a href="javascript:history.back(-1)"><strong>&laquo; <?php _e('Or go back', theme_ext_domain())?></strong></a></p>
	</div>

    <?php endif; ?>
<?php get_footer(); ?>
